diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.32/src/wscript ns-3.33/src/wscript
--- ns-3.32/src/wscript	2020-10-06 15:35:43.000000000 -0700
+++ ns-3.33/src/wscript	2021-01-09 10:19:23.000000000 -0800
@@ -7,7 +7,7 @@
 import types
 import warnings
 
-from waflib import TaskGen, Task, Options, Build, Utils
+from waflib import TaskGen, Task, Options, Build, Utils, Context
 from waflib.Errors import WafError
 import wutils
 
@@ -125,8 +125,8 @@
     module.is_ns3_module = True
     module.ns3_dir_location = bld.path.path_from(bld.srcnode)
 
-    module.env.append_value("INCLUDES", '#')
-
+    module.env.append_value("INCLUDES", Context.out_dir)
+    
     module.pcfilegen = bld(features='ns3pcfile')
     module.pcfilegen.module = module.name
     
@@ -287,7 +287,9 @@
         except ValueError:
             pass
     pymod.env['DEFINES'] = defines
-    pymod.includes = '# bindings'
+    # The following string should lead to includes of 
+    # '-I.', '-Isrc/core/bindings' when compiling module_helpers.cc
+    pymod.includes = Context.out_dir + ' ' + Context.out_dir + '/src/core/bindings'
     pymod.install_path = '${PYTHONARCHDIR}/ns'
 
     # Workaround to a WAF bug, remove this when ns-3 upgrades to WAF > 1.6.10
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.32/utils/print-introspected-doxygen.cc ns-3.33/utils/print-introspected-doxygen.cc
--- ns-3.32/utils/print-introspected-doxygen.cc	2020-10-06 15:35:43.000000000 -0700
+++ ns-3.33/utils/print-introspected-doxygen.cc	2021-01-09 10:19:23.000000000 -0800
@@ -1511,6 +1511,7 @@
       { "Address",        "Address",        true,  "address.h"          },
       { "Box",            "Box",            true,  "box.h"              },
       { "DataRate",       "DataRate",       true,  "data-rate.h"        },
+      { "Length",         "Length",         true,  "length.h"           },
       { "IeMeshId",       "IeMeshId",       true,  "ie-dot11s-id.h"     },
       { "Ipv4Address",    "Ipv4Address",    true,  "ipv4-address.h"     },
       { "Ipv4Mask",       "Ipv4Mask",       true,  "ipv4-address.h"     },
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.32/VERSION ns-3.33/VERSION
--- ns-3.32/VERSION	2020-10-06 19:45:35.000000000 -0700
+++ ns-3.33/VERSION	2021-01-09 17:18:01.000000000 -0800
@@ -1 +1 @@
-3.32
+3.33
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.32/wscript ns-3.33/wscript
--- ns-3.32/wscript	2020-10-06 15:35:43.000000000 -0700
+++ ns-3.33/wscript	2021-01-09 10:19:23.000000000 -0800
@@ -763,7 +763,7 @@
     program.target = "%s%s-%s%s" % (wutils.APPNAME, wutils.VERSION, name, bld.env.BUILD_SUFFIX)
     # Each of the modules this program depends on has its own library.
     program.ns3_module_dependencies = ['ns3-'+dep for dep in dependencies]
-    program.includes = "#"
+    program.includes = Context.out_dir
     #make a copy here to prevent additions to program.use from polluting program.ns3_module_dependencies
     program.use = program.ns3_module_dependencies.copy()
     if program.env['ENABLE_STATIC_NS3']:
